Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class GetProcessInstancesFromEC

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.GetProcessInstancesFromEC

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<ProcessInstancesDataResult>, net.customware.gwt.dispatch.shared.Action<ProcessInstancesDataResult>

    public class GetProcessInstancesFromEC

extends java.lang.Object
implements OSAction<ProcessInstancesDataResult>

Retrieve Process Instance Data from Event Collector.

Event Collector keeps information about active and completed / cancelled instances.

©2011 TIBCO Software Inc.

Since:
  TODO
See Also:
  `ProcessInstancesDataResult`

Constructor Summary
`GetProcessInstancesFromEC(java.lang.String filter)` Construct a new GetProcessInstancesFromEC Action

Method Summary
`java.lang.String` | `getFilter()` Filter string to query Event Collector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProcessInstancesFromEC

    public GetProcessInstancesFromEC(java.lang.String filter)

  Construct a new GetProcessInstancesFromEC Action

  Parameters:
    `filter` - Filter string to query Event Collector.

    A simple query for a Process Template would be :

    "processTemplateName = 'templateName' AND version = '1.0.0' AND moduleName = 'moduleName'"

    See the Event Collector documentation for information about possible filter strings.

Method Detail

### getFilter

    public java.lang.String getFilter()

  Filter string to query Event Collector.

  A simple query for a Process Template would be :

  "processTemplateName = 'templateName' AND version = '1.0.0' AND moduleName = 'moduleName'"

  See the Event Collector documentation for information about possible filter strings.

  Returns:
    Returns the filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.